$! customize evtl. to include IPv6 to the CC /DEFINE list 
$! in vms_descrip.mms and/or vms_compile.com
$ if f$search("VMS_RDESKTOP.H").nes."" 
$ then 
$  ON WARNING   THEN CONTINUE
$  difference/output=nla0: VMS_RDESKTOP.H RDESKTOP.H
$  status = f$integer($STATUS)
$  if status .ne. %X006C8009
$  then
$   copy/LOG VMS_RDESKTOP.H RDESKTOP.H
$  endif
$ endif
$ if f$search("VMS_PROTO.H").nes.""
$ then
$  ON WARNING   THEN CONTINUE
$  difference/output=nla0: VMS_PROTO.H PROTO.H
$  status = f$integer($STATUS)
$  if status .ne. %X006C8009
$  then
$   copy/LOG VMS_PROTO.H PROTO.H
$  endif
$ endif
$ if f$search("[.CRYPTO]CRYPTO.OLB").eqs.""
$ then
$  set default [.crypto]
$  @vms_compile_crypto
$  set default [-]
$ endif
$ if f$search("VMS_RDESKTOP.OBJ") .nes."" then -
delete/noconfirm VMS_RDESKTOP.OBJ;*
$ CC/NOWARN/PREFIX=ALL/INCLUDE=DECW$INCLUDE VMS_IMUTIL
$ CALL VMS_COMPILE BITMAP
$ CALL VMS_COMPILE CACHE
$ CALL VMS_COMPILE CHANNELS
$ CALL VMS_COMPILE CLIPRDR
$ CALL VMS_COMPILE EWMHINTS
$ CALL VMS_COMPILE ISO
$ CALL VMS_COMPILE LICENCE
$ CALL VMS_COMPILE MCS
$ CALL VMS_COMPILE ORDERS
$ CALL VMS_COMPILE RDP
$ CALL VMS_COMPILE RDP5
$ CALL VMS_COMPILE SECURE
$ CALL VMS_COMPILE TCP
$ CALL VMS_COMPILE XCLIP
$ CALL VMS_COMPILE XKEYMAP
$ CALL VMS_COMPILE VMS_GETPASS
$ CALL VMS_COMPILE VMS_XWIN
$ library RDESKTOP.olb/create/object *.obj
$ delete *.obj;*
$ CALL VMS_COMPILE VMS_RDESKTOP
$ link/map/cross VMS_RDESKTOP,RDESKTOP/lib,sys$input:/opt
NAME="Rdesktop"
IDENT="V1.3"
[.crypto]crypto.olb/library
sys$share:decw$xlibshr/share
sys$share:decw$xtlibshrr5/share
$EXIT
$VMS_COMPILE: SUBROUTINE
$! leave off the openssl definition, if openssl is not installed
$! if no OpenSSL present, compile/link with the crypto code in [.crypto]
$ cc/pref=all/define=(KEYMAP_PATH="""/etc/keymaps/""")/include=decw$include: 'p1'
$ EXIT
$! to compile IPv6 support, use this command:
$ cc/pref=all/define=(KEYMAP_PATH="""/etc/keymaps/""","IPv6")/include=decw$include: 'p1'
